artdaq Utilities - Bug #17416

Conversion of hex values to decimal on database check-in
08/09/2017 04:30 AM - Martin Haigh

Status: Closed Start date: 08/09/2017
Priority: High Due date:

Assignee: Gennadiy Lukhanin % Done: 100%
Category: artdag-database Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Experiment: DUNE Co-Assignees:

Description

When importing FHICL to the database, integers in hex representation are converted to decimal, and this conversion is not reverted
on re-export (presumably the information on the representation used has been lost). FHICL for device configuration contains literal
hardware register values which are difficult to read/write in decimal, and this represents a major maintenance issue for run

configurations.

Related issues:

Related to artdaq Utilities - Bug #17425: FHiCL numerical parameters truncate...

Closed 08/10/2017

History

#1 - 08/14/2017 02:10 PM - Gennadiy Lukhanin
- Related to Bug #17425: FHICL numerical parameters truncated by DB! added

#2 - 07/30/2018 12:59 PM - Gennadiy Lukhanin

- Status changed from New to Resolved

Fixed in the version vi1_04_46 of artdaq_database.

#3 - 10/31/2019 02:16 PM - Gennadiy Lukhanin
- % Done changed from 0 to 100

- Status changed from Resolved to Closed
